﻿#XmlEncoding = #PB_UTF8
  
  #Dialog = 0
  #Xml = 0
  
  XML$ = ~"<window id=\"#PB_Any\" name=\"test\" text=\"Gridbox\" minwidth=\"auto\" minheight=\"auto\" flags=\"#PB_Window_ScreenCentered | #PB_Window_SystemMenu | #PB_Window_SizeGadget\">" +
         ~"    <gridbox columns=\"6\">" +
         ~"          <button text=\"Button 1\" />" +
         ~"          <button text=\"Button 2\" />" +
         ~"          <button text=\"Button 3\" colspan=\"3\" />" +
         ~"          <button text=\"Button 4\" />" +
         ~"          <button text=\"Button 5\" rowspan=\"2\" />" +
         ~"          <button text=\"Button 6\" />" +
         ~"          <button text=\"Button 7\" />" +
         ~"          <button text=\"Button 8\" />" +
         ~"          <button text=\"Button 9\" />" +
         ~"          <button text=\"Button 10\" />" +
         ~"          <button text=\"Button 11\" />" +
         ~"          <button text=\"Button 12\" />" +
         ~"    </gridbox>" +
         ~"  </window>"
  
  If CatchXML(#Xml, @XML$, StringByteLength(XML$), 0, #XmlEncoding) And XMLStatus(#Xml) = #PB_XML_Success
    
    If CreateDialog(#Dialog) And OpenXMLDialog(#Dialog, #Xml, "test")
      
      Repeat
        Event = WaitWindowEvent()
      Until Event = #PB_Event_CloseWindow 
      
    Else  
      Debug "Dialog error: " + DialogError(#Dialog)
    EndIf
  Else
    Debug "XML error: " + XMLError(#Xml) + " (Line: " + XMLErrorLine(#Xml) + ")"
  EndIf
; IDE Options = PureBasic 5.62 (Windows - x86)
; CursorPosition = 35
; EnableXP
; EnableUser
; CompileSourceDirectory
; EnableCompileCount = 2
; EnableBuildCount = 0